/*
 * slb/exif.h - Utility functions for the application,
 * when using the shared library.
 *
 * Copyright (C) 2019 Thorsten Otto
 */
#ifndef __SLB_EXIF_H__
#define __SLB_EXIF_H__ 1

#ifndef EXIF_SLB
#define EXIF_SLB 1
#endif

#include <libexif/exifdata.h>

#ifndef __CDECL
#define __CDECL
#endif

#include <mint/slb.h>

#include <stdio.h>

#ifdef __cplusplus
extern "C" {
#endif

#define EXIF_SHAREDLIB_NAME "exif.slb"

long slb_exif_open(const char *slbpath);
void slb_exif_close(void);
SLB *slb_exif_get(void);

/* internal helper function */
long __CDECL exif_slb_control(long fn, void *arg);

/* Get the full path of the shared library */
#define exif_slb_libpath() ((const char *)exif_slb_control(4, 0))


#ifdef __cplusplus
}
#endif

#endif /* __SLB_EXIF_H__ */
